//
//  EcaSettingView.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/18.
//

import SwiftUI

struct EcaSettingView: View {
    var body: some View {
        VStack{
            
            Button(action: {
                
            }, label: {
                Text("Register")
                    .padding()
            })
            .background(ColorSet.PrimaryActiveIcon.color)
            .cornerRadius(30)
        }
    }
}

struct EcaSettingAreaView: View {
    var body: some View {
        VStack{
            Text("Switching Finish - ECA")
            HStack{
                Text("17")
                Text("NM")
            }
            HStack{
                Button(action: {
                    
                }, label: {
                    /*@START_MENU_TOKEN@*/Text("Button")/*@END_MENU_TOKEN@*/
                })
                
                Slider(value: .constant(1))
                
                Button(action: {
                    
                }, label: {
                    /*@START_MENU_TOKEN@*/Text("Button")/*@END_MENU_TOKEN@*/
                })
            }
        }
    }
}

#Preview {
//    EcaSettingView()
    EcaSettingAreaView()
}
